!     Este programa dibuja la función seno utilizando asteriscos.
!     A continuacion espera a que se pulse la tecla RETURN (Entrar).

      implicit real*8 (a-h,o-z)
      parameter(MXC=80,
     .          PI=3.141592654d+00,
     .          RADPG=PI/180.d+00)

      character*(MXC) linea

      ancho=dble(MXC-1)/2.d+00
      call Limpiar(linea,MXC)

      do i=0,360,5
        x=dble(i)*RADPG
        y=sin(x)
        j=int((y+1.d+00)*ancho)+1
        linea(j:j)='*'
        write(6,'(a)') linea
        linea(j:j)=' '
      enddo
      read(5,'()')
	end

c_______________________________________________________________________________
      subroutine Limpiar(s,n)
	character*(*) s

      do i=1,n
        s(i:i)=' '
      enddo

	end
